<p id="notice"><%= notice %></p>
<nav class="breadcrumb">
  <%= link_to "Home", root_path, class: "breadcrumb-item"%>
  <%= link_to "Lists", lists_path, class: "breadcrumb-item" %>
  <span class="breadcrumb-item active">All</span>
</nav>
<% if @doing.try(:any?) %>
<h2>Current in Doing</h2>
<br>
  <table id="sorttable" class="table table-bordered table-striped tableserter">
    <thead>
    <tr>
      <th>#</th>
      <th>TO-DO</th>
      <th>Created</th>
      <th>Last edit</th>
      <th class="sorter-false" colspan="2"></th>

    </tr>
    </thead>
    <tbody>
      <% @doing.each do |task| %>
      <tr>
        <th> <%=task.id %> </th>
        <td> <%= task.content %></td>
        <td> <%= time_ago_in_words(task.created_at) %> ago </td>
        <td> <%= time_ago_in_words(task.updated_at) %> </td> 
        <td> <%= link_to "&nbsp;<i class='fa fa-check'></i>&nbsp;done".html_safe, complete_list_task_path(task.list_id,task,state: "done"), method: :put %> </td>
        <td><%= link_to "&nbsp;<i class='fa fa-eye'></i>&nbsp;view".html_safe, list_path(task.list_id) %></td>
      </tr>
      <% end %>
    </tbody>
  </table>
<% end %> 


<br>
<h2>Lists <%= link_to "<i class='fa fa-plus-circle text-success'></i>".html_safe, new_list_path %> </h2>

<table  class="table table-bordered table-striped">
  <thead>
  <tr>
      <th>ID</th>
      <th>Name</th>
      <th>Description</th>
      <th>TBD / Done</th>
      <th>Last Update</th>
      <th colspan="4"></th>
    </tr>
  </thead>

  <tbody>
    <% @lists.each_with_index do |list, index| %>
      <tr>
        <td><%= list.id %>&nbsp;&nbsp;<a href=""><i class='fa fa-hand-o-down' data-toggle="collapse" data-target="#tbd_tasks<%=index.to_s%>"></i></a>
        </td>
        <td><%= list.name %></td>
        <td><%= list.description %></td>
        <td><%= list.tasks.where(state: "to_do").count %> / <%= list.tasks.count %> </td>
        <td> 
        <% if list.tasks.try(:any?) %>
        <%= time_ago_in_words(list.tasks.maximum('updated_at'))%> 
        <%else %>
        <%= time_ago_in_words(list.updated_at) %>
        <%end%>
        </td>
        <td> <%= link_to "<i class='fa fa-plus'></i>".html_safe, new_list_task_path(list)%> </td>
        <td><%= link_to "<i class='fa fa-eye'></i>".html_safe, list %></td>
        <td><%= link_to "<i class='fa fa-pencil'></i>".html_safe, edit_list_path(list) %></td>
        <td><%= link_to "<i class='fa fa-times'></i>".html_safe, list, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
      <tr id="tbd_tasks<%= index.to_s%>" class="collapse out">
        <td>
        </td>
        <td>
          <div>
            <ul>
              <li> <%= list.tasks.count %> total </li>
              <li><%=list.tasks.where(state: "to_do").count%> tasks to-do</li>
              <li><%=list.tasks.where(state: "doing").count%> in doing</li>
              <li><%=list.tasks.where(state: "done").count%> done</li>
            </ul>
          </div>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>